# pad.h File Reference

`#include <glibmm.h>`
`#include <gst/gstpad.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/miniobject.h>`
`#include <gstreamermm/format.h>`
`#include <gstreamermm/query.h>`

Go to the source code of this file.

## Classes

class | Gst::Pad
| Gst::Pad - Object contained by elements that allows links to other elements. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::PadDirection { Gst::PAD_UNKNOWN, Gst::PAD_SRC, Gst::PAD_SINK }
enum | Gst::PadFlags { Gst::PAD_BLOCKED = GST_OBJECT_FLAG_LAST << 0, Gst::PAD_FLUSHING = GST_OBJECT_FLAG_LAST << 1, Gst::PAD_IN_GETCAPS = GST_OBJECT_FLAG_LAST << 2, Gst::PAD_IN_SETCAPS = GST_OBJECT_FLAG_LAST << 3, Gst::PAD_BLOCKING = GST_OBJECT_FLAG_LAST << 4, Gst::PAD_FLAG_LAST = GST_OBJECT_FLAG_LAST << 8 }
enum | Gst::PadLinkReturn { Gst::PAD_LINK_OK = 0, Gst::PAD_LINK_WRONG_HIERARCHY = -1, Gst::PAD_LINK_WAS_LINKED = -2, Gst::PAD_LINK_WRONG_DIRECTION = -3, Gst::PAD_LINK_NOFORMAT = -4, Gst::PAD_LINK_NOSCHED = -5, Gst::PAD_LINK_REFUSED = -6 }
enum | Gst::FlowReturn { Gst::FLOW_CUSTOM_SUCCESS = 100, Gst::FLOW_RESEND = 1, Gst::FLOW_OK = 0, Gst::FLOW_NOT_LINKED = -1, Gst::FLOW_WRONG_STATE = -2, Gst::FLOW_UNEXPECTED = -3, Gst::FLOW_NOT_NEGOTIATED = -4, Gst::FLOW_ERROR = -5, Gst::FLOW_NOT_SUPPORTED = -6, Gst::FLOW_CUSTOM_ERROR = -100 }
enum | Gst::ActivateMode { Gst::ACTIVATE_NONE, Gst::ACTIVATE_PUSH, Gst::ACTIVATE_PULL }